package com.zg.project.Inventory.AutoInventory.service;

import com.zg.framework.web.page.TableDataInfo;
import com.zg.project.Inventory.domain.dto.MatchScanPageDTO;
import com.zg.project.Inventory.domain.entity.InventoryMatchScan;
import com.zg.project.Inventory.domain.vo.InventoryMatchScanVO;

import java.util.List;
import java.util.Map;

public interface InventoryMatchScanService {

    void saveBatch(List<InventoryMatchScan> list);


    Map<String, Object> getAll();

    TableDataInfo getHistoryList(MatchScanPageDTO dto);

    List<InventoryMatchScanVO> getByTaskName(MatchScanPageDTO dto);

}
